Create Debug Log
Create a new debug log session for a user.
Debug logs have the following limits:
- Maximum one (1) debug log per user
- Maximum 20 debug logs per Vault
POST
/api/{version}/logs/code/debugHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
Content-Type | multipart/form-data |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
namerequired | The UI-friendly name for this debug log, visible to Admins in the Vault UI. Maximum 128 characters. |
user_idrequired | The ID of the user who will trigger entries into this debug log. |
log_leveloptional | The level of error messages to capture in this log. Choose one of the following:
|
class_filtersoptional | Class filters allow you to restrict debug log entries to only include entries for specific classes. To include class filters for this debug log, include an array or comma-separated list of fully-qualified class names. For example, com.veeva.vault.custom.triggers.HelloWorld. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-d "name=Record Trigger Troubleshooting" \
-d "user_id=12345" \
-d "class_filters=com.veeva.vault.custom.triggers.HelloWorld,com.veeva.vault.custom.triggers.Approval" \
https://myvault.veevavault.com/api/v26.1/logs/code/debugResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"id": "0LS000000003001"
}
}